Skip to main content
GET
/
api2
/
v1
/
automatedProjects
/
{settingsId}
/
status
Get Automated Project Creation status data
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/status \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/status"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "backendUuid": "<string>",
  "id": "<string>",
  "name": "<string>",
  "associatedProjects": {
    "latestProjects": [
      {
        "dateCreated": "2023-11-07T05:31:56Z",
        "projectName": "<string>",
        "projectUrl": "<string>",
        "uid": "<string>"
      }
    ],
    "totalCount": 123
  },
  "connectorId": "<string>",
  "connectorName": "<string>",
  "continuousProject": true,
  "deprecatedTargetLangs": [
    "<string>"
  ],
  "lastChecked": "<string>",
  "lastCheckedFormatted": "<string>",
  "lastForceImport": "<string>",
  "monitoredFolderStatuses": [
    {
      "encodedRemoteFolder": "<string>",
      "timestampFormatted": "<string>",
      "errors": [
        {
          "args": {},
          "code": "<string>",
          "message": "<string>"
        }
      ]
    }
  ],
  "nextChecked": "<string>",
  "nextCheckedFormatted": "<string>",
  "projectTemplateSourceLang": "<string>",
  "projectTemplateTargetLangs": [
    "<string>"
  ],
  "statusMessage": "<string>",
  "warnings": [
    {
      "actions": [
        {
          "name": "<string>",
          "url": "<string>"
        }
      ],
      "message": "<string>",
      "messageCode": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

settingsId
string
required

Identifier of the automated project creation settings

Response

OK

backendUuid
string
required
id
string
required
name
string
required
Maximum string length: 255
status
enum<string>
required
Available options:
ACTIVE,
NEEDS_ATTENTION,
INACTIVE,
STOPPED,
RUNNING,
WARNING,
ERROR
associatedProjects
object
connectorId
string
connectorName
string
continuousProject
boolean
deprecatedTargetLangs
string[]
lastChecked
string
lastCheckedFormatted
string
lastForceImport
string
monitoredFolderStatuses
object[]
nextChecked
string
nextCheckedFormatted
string
projectTemplateSourceLang
string
projectTemplateTargetLangs
string[]
statusMessage
string
warnings
object[]